#!/usr/bin/env python
# -*- coding: utf-8 -*-
# PyBEST: Pythonic Black-box Electronic Structure Tool
# Copyright (C) 2016-- The PyBEST Development Team
#
# This file is part of PyBEST.
#
# PyBEST is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.
#
# PyBEST is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>
#
# --


from io import StringIO

from pybest.log import Biblio
from pybest.context import context

from common import write_if_changed
from collections import OrderedDict


biblio = Biblio(context.get_fn("references.bib"))


def key(item):
    return int(item[1].tags["year"]), item[0]


f = StringIO()
print("Literature", file=f)
print("##########", file=f)
items = biblio._records.items()
items = sorted(items, key=key)
for key, reference in items:
    print(" ", file=f)
    print(f".. [{key}] {reference.format_rst()}", file=f)
s = f.getvalue()
write_if_changed("tech_ref_literature.rst", s)
